This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 115333 - ping flood is hardly a flood
ping flood is hardly a flood
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: iputils (Show other bugs)
3.0
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-10 17:01 EST by Andrew Schultz
Modified: 2015-03-04 20:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-22 09:51:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Schultz 2004-02-10 17:01:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040130

Description of problem:
ping flood only sends about 70 packets/second (+/- 20), even though
the man page says it should do at least 100 packets/second.  This
occurs even when pinging the loopback address, where response whould
be almost instantaneous.  If I run tcpdump and watch the packets, the
icmp packets replies occur quickly and then ping waits to send another
request.  This is also evident from the ping output which has very low
ping times.

[root@turbo andrew]# time ping -f localhost
PING localhost.localdomain (127.0.0.1) 56(84) bytes of data.
 
--- localhost.localdomain ping statistics ---
1530 packets transmitted, 1530 received, 0% packet loss, time 19420ms
rtt min/avg/max/mdev = 0.036/0.044/0.055/0.005 ms, pipe 2, ipg/ewma
12.701/0.043 ms

real    0m19.427s
user    0m0.000s
sys     0m0.000s

Version-Release number of selected component (if applicable):
20020927-11

How reproducible:
Always

Steps to Reproduce:
time ping -f localhost

Actual Results:  packets per second is less than 100

Expected Results:  packets per second should be at least 100
(according to man page)
based on the response for pinging localhost, it should have done
~20000 packets/second.
Comment 1 Phil Knirsch 2004-04-22 09:51:30 EDT
The man page says flood ping does up to 100 packages per second, not
more than 100:

 -f     Flood ping. For  every  ECHO_REQUEST  sent  a  period  ‘‘.’’  is
              printed,  while  for  ever  ECHO_REPLY  received  a
backspace is
              printed.  This provides a rapid display of how many
packets  are
              being  dropped.   If  interval is not given, it sets
interval to
              zero and outputs packets as fast as they come back or 
one  hun-
              dred  times  per second, whichever is more.  Only the
super-user
              may use this option with zero interval.

This new behaviour is wanted as flood ping was know to be used to
"shutdown" remote systems by sending as much packages as possible.
This is now not possible anymore so easily with ping.

Read ya, Phil
Comment 2 Andrew Schultz 2004-04-22 10:11:32 EDT
> The man page says flood ping does up to 100 packages per second, not
> more than 100:

this is certainly false.  The man page says:

> outputs packets as fast as they come back or one  hundred  times  per 
> second, whichever is more.

"as fast as they come back" is more than "one hundred times per
second" and should be used, according to the man page.
Comment 3 Phil Knirsch 2004-04-22 10:32:17 EDT
Ups, true, but then the manpage needs to be corrected at some point as
the code clearly limits to a maximum of 100 packages per second.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.